Bug 137242 - Konqueror opens OpenOffice files wth the Archiving Tool
Konqueror opens OpenOffice files wth the Archiving Tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 17:56 EDT by Terry Griffin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.5.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 07:18:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Griffin 2004-10-26 17:56:38 EDT
Description of problem:

Default operation of Konqueror for opening OpenOffice files is
to view them with the Archiving Tool instead of with OpenOffice.

Version-Release number of selected component (if applicable):

kdebase-3.2.2-6.FC2
openoffice.org-1.1.2-10.fc2
file-4.07-4

How reproducible:

100%

Steps to Reproduce:
1. Create and save a text document with OpenOffice (.sxw file)
2. View directory containing the document using Konqueror
3. Click on the document
  
Actual results:

Document is opened with the KDE Archive Viewer. (Interesting
but hardly useful.)

Expected results:

Document is opened with OpenOffice.

Additional info:

The 'file' command identifies OpenOffice documents as zip files
which they apparently are at a high level. But somehow GNOME
gets around this little detail and does the right thing.
Comment 1 Matthew Miller 2005-04-26 11:18:22 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Terry Griffin 2005-04-26 23:18:01 EDT
Konqueror in FC3 doesn't handle OpenOffice files correctly either, but
the symptoms are different. It doesn't mistake the files for Zip archives
as with FC2. In fact it doesn't associated the files with anything. Worse,
you can't permanently establish an association. If you right click on a file
to do an "Open With..." you can select an OpenOffice app such as OpenOffice
Calc, but for some reason the checkbox to permanently associate the file type
with an app is missing. So you have to respecify OpenOffice every time
you want to open the file. My current set of related FC3 packages is:

kdebase-3.3.1-4.3.FC3
openoffice.org-1.1.3-11.5.0.fc3
openoffice.org-kde-1.1.3-11.5.0.fc3
Comment 3 Petr Rockai 2006-05-05 07:18:08 EDT
Works in FC5 (opens with appropriate openoffice app). Probably was a 
mimetype problem only.

Note You need to log in before you can comment on or make changes to this bug.